libglom-1.22: Glom Namespace Reference

libglom-1.22 1.23.1

- Main Page
- Namespaces
- Classes

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Functions | Variables
Glom Namespace Reference

## Namespaces
namespace | Conversions
namespace | DbUtils
namespace | Utils

## Classes
class | AppState
| There is one instance per document. More...
class | sharedptr
| A ref-counting smart-pointer for the underlying C++ object. More...
class | ReportBuilder
class | DatabaseTitle
| This is a separate class, instead of just deriving Document from TranslatableItem, to avoid the need to use Document via sharedptr. More...
class | ChoiceValue
| A value of a custom choice, for a field or a layout item. More...
class | predicate_FieldHasName
| A predicate for use with std::find_if() to find a Field or LayoutItem which refers to the same field, looking at just the name. More...
class | Field
class | FieldTypes
class | FoundSet
| A grouping of information about a view of a table, including what records are viewed (the where clause), how the are sorted (the sort clause). More...
class | HasTitleSingular
| HasTitleSingular instances may have a (translated) singular form of their title. More...
class | GroupInfo
class | NumericFormat
class | PrintLayout
class | Privileges
class | Relationship
class | Report
class | SystemPrefs
class | TableInfo
class | TranslatableItem
| TranslatableItem have a map of translation strings - one string for each locale. More...
class | CustomTitle
class | Formatting
| This specifies how to display data for fields or static text items. More...
class | LayoutGroup
class | LayoutItem
class | LayoutItem_Button
class | LayoutItem_CalendarPortal
class | predicate_LayoutItem_Field_IsSameField
| A predicate for use with std::find_if() to find a LayoutItem_Field which refers to the same field, without comparing irrelevant stuff such as formatting. More...
class | LayoutItem_Field
| A LayoutItem that shows the data from a table field. More...
class | LayoutItem_Image
class | LayoutItem_Line
| This is only used on print layouts. More...
class | LayoutItem_Notebook
| The child items are LayoutGroups, each of which will be shown on its own tab. More...
class | LayoutItem_Placeholder
class | LayoutItem_Portal
| get_title() returns either the title of the Field or the CustomTitle. More...
class | LayoutItem_Text
| A layout item for static text, and an optional title. More...
class | LayoutItem_WithFormatting
| A base class for all layout items that may have formatting options. More...
class | StaticText
| This reuses the title concept of the TranslatableItem base class to give us translatable text. More...
class | UsesRelationship
class | LayoutItem_FieldSummary
class | LayoutItem_Footer
class | LayoutItem_GroupBy
| The child items are fields to be shown for each record in the group. More...
class | LayoutItem_Header
class | LayoutItem_Summary
class | LayoutItem_VerticalGroup
| The child items are arranged vertically in a row on a report. More...
class | Document

## Typedefs
typedef std::pair< sharedptr < const LayoutItem_Field > , bool > | type_pair_sort_field
| field, ascending
typedef std::vector < type_pair_sort_field > | type_sort_clause
typedef GlomBakery::View < Document > | View_Glom
| The base View for the document.
typedef GlomBakery::View_Composite < Document > | View_Composite_Glom

## Functions
void | libglom_init ()
| This must be used by applications other than Glom, which are unlikely to otherwise initialize the libraries used by libglom.
void | libglom_deinit ()
template<class T_obj >
sharedptr< T_obj > | glom_sharedptr_clone (const sharedptr< T_obj >& src)
template<class T_obj >
sharedptr< T_obj > | glom_sharedptr_clone (const sharedptr< const T_obj >& src)
bool | write_pot_file (Document* document, const Glib::ustring& pot_file_uri)
| Create a pot template file that can be used by translators to create a new .po file.
bool | write_translations_to_po_file (Document* document, const Glib::ustring& po_file_uri, const Glib::ustring& translation_locale, const Glib::ustring& locale_name=Glib::ustring())
| Create a po file containing the translations from the Glom document.
bool | import_translations_from_po_file (Document* document, const Glib::ustring& po_file_uri, const Glib::ustring& translation_locale)
| Parse a po file, storing its translations in the Glom document.
Glib::ustring | get_po_context_for_item (const sharedptr< const TranslatableItem >& item, const Glib::ustring& hint)
| Get a hint about what the text is for.
template<class T_object >
Glib::ustring | glom_get_sharedptr_name (const sharedptr< T_object >& item)

## Variables
const char | GLOM_IMAGE_FORMAT [] = "png"
const char | GLOM_IMAGE_FORMAT_MIME_TYPE [] = "image/png"

## Typedef Documentation

typedef std::pair< sharedptr<const LayoutItem_Field>, bool> Glom::type_pair_sort_field

field, ascending

typedef std::vector<type_pair_sort_field> Glom::type_sort_clause

typedef GlomBakery::View_Composite<Document> Glom::View_Composite_Glom

typedef GlomBakery::View<Document> Glom::View_Glom

The base View for the document.

## Function Documentation

Glib::ustring Glom::get_po_context_for_item | ( | const sharedptr< const TranslatableItem > & | item,
|  | const Glib::ustring & | hint
| ) |  |

Get a hint about what the text is for.

This is also necessary to uniquely identify the item, because not all text with the same contents should be translated the same way in all languages - the context might change the translation.

template <class T_object >

Glib::ustring Glom::glom_get_sharedptr_name | ( | const sharedptr< T_object > & | item | ) |

template <class T_obj >

sharedptr<T_obj> Glom::glom_sharedptr_clone | ( | const sharedptr< T_obj > & | src | ) |

template <class T_obj >

sharedptr<T_obj> Glom::glom_sharedptr_clone | ( | const sharedptr< const T_obj > & | src | ) |

bool Glom::import_translations_from_po_file | ( | Document * | document,
|  | const Glib::ustring & | po_file_uri,
|  | const Glib::ustring & | translation_locale
| ) |  |

Parse a po file, storing its translations in the Glom document.

Parameters

  document | The document into which the translations should be stored.
  po_file | The filepath at which to find a .po file.
  translation_locale | For instance, de_DE.

void Glom::libglom_deinit | ( |  | ) |

void Glom::libglom_init | ( |  | ) |

This must be used by applications other than Glom, which are unlikely to otherwise initialize the libraries used by libglom.

Glom uses it too, just to avoid duplicating code.

bool Glom::write_pot_file | ( | Document * | document,
|  | const Glib::ustring & | pot_file_uri
| ) |  |

Create a pot template file that can be used by translators to create a new .po file.

Parameters

  document | The document whose translations should be written to a .po file.
  pot_file | The filepath at which to create a .po file.

bool Glom::write_translations_to_po_file | ( | Document * | document,
|  | const Glib::ustring & | po_file_uri,
|  | const Glib::ustring & | translation_locale,
|  | const Glib::ustring & | locale_name = `Glib::ustring()`
| ) |  |

Create a po file containing the translations from the Glom document.

Parameters

  document | The document whose translations should be written to a .po file.
  po_file | The filepath at which to create a .po file.
  translation_locale | For instance, de_DE.
  locale_name | For instance, Deutsch, to identify the translation team.

## Variable Documentation

const char Glom::GLOM_IMAGE_FORMAT[] = "png"

const char Glom::GLOM_IMAGE_FORMAT_MIME_TYPE[] = "image/png"